mail::ACCOUNT::updateFolderIndexInfo
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::updateFolderIndexInfo — Update status of the currently open folder

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

`bool ok=mail->updateFolderIndexInfo(` | `void)`; |

std::string errmsg=mail->getErrmsg();

## USAGE

This function requests that the status of the currently open folder be updated. Messages marked as deleted are removed. The folder index will also be updated to reflect changes to the folder made by any other application that has the same folder opened.

## Return Codes

This method returns `true` if it succeeds, or `false` if it fails. If the method fails, use `mail::ACCOUNT::getErrmsg()` to read a brief description of the error.

## SEE ALSO

mail::ACCOUNT::saveFolderIndexInfo(3x), mail::ACCOUNT::getFolderIndexInfo(3x), mail::ACCOUNT::removeMessages(3x).

Prev | Up | Next
mail::ACCOUNT::updateFolderIndexFlags | Home | ToC | mail::ACCOUNT::updateKeywords